=== debian/changelog ===
deepin-unioncode (1.3.16) unstable; urgency=medium

  * Optimize AI plugin

 -- luzhen <luzhen@uniontech.com>  Fri, 01 Nov 2024 16:41:17 +0800

deepin-unioncode (1.3.15) unstable; urgency=medium

  * CodeGeex bug fix

 -- luzhen <luzhen@uniontech.com>  Tue, 29 Oct 2024 10:41:16 +0800

deepin-unioncode (1.3.12) stable; urgency=medium

  * Support intelligent questioning of project files and local warehouse codes
  * Add inline chat function to support code editing and quick questions and answers
  * Debugging supports running to line
  * Support manual configuration of local tool chain 

 -- luzhen <luzhen@uniontech.com>  Tue, 15 Oct 2024 16:33:53 +0800

deepin-unioncode (1.3.11) unstable; urgency=medium

  * Add RAG

 -- luzhen <luzhen@uniontech.com>  Wed, 09 Oct 2024 14:33:04 +0800

deepin-unioncode (1.3.10) stable; urgency=medium

  * bug fix

 -- luzhen <luzhen@uniontech.com>  Wed, 14 Aug 2024 13:20:10 +0800
